'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cleanName;

var _constants = require('./constants');

var NON_ALNUM_CHARS = /[^a-z0-9- ]+/g; /**
                                        * @copyright   2017, Miles Johnson
                                        * @license     https://opensource.org/licenses/MIT
                                        * 
                                        */

var UNNECESSARY_WORDS = /(\b(and|because|but|for|if|in|or|of|the|when|with|without|sign)\b)/g;

function cleanName(name) {
  var cleaned = name.toLowerCase().split(';')[0].replace(NON_ALNUM_CHARS, '');

  cleaned = cleaned.replace(UNNECESSARY_WORDS, ' ');

  cleaned = cleaned.replace(_constants.WS_PATTERN, ' ');

  return cleaned.trim();
}